#!/usr/bin/php
<?php
// Copyright (C) 2008 - 2017 Small Green Computer, LLC
//

$server_name="http://api.vortexbox.org/vbid.php";
$output_file="/var/www/html/news.html";

if (file_exists('/etc/vortexbox/vortexbox-vbid')) {
print "Found vortexbox-vbid.\n";
}
else
{
print "Didn't find vortexbox-vbid, we must create one.\n";
$dump = system('/usr/sbin/ifconfig | grep --max-count=1 ether');
preg_match('/[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}:[A-F0-9]{2}/i', $dump, $mac);
$mac_address = $mac[0];
system("echo ".$mac_address." > /etc/vortexbox/vortexbox-vbid");
}

if (file_exists('/etc/cron.d/getnews')) {
print "Found getnews.\n";
}
else
{
system("echo 'MAILTO=\"\"' > /etc/cron.d/getnews");
system("echo \"$((RANDOM%60)) $((RANDOM%7)) * * * root /usr/bin/php /opt/vortexbox/getnews.php > /dev/null 2>&1\" >> /etc/cron.d/getnews");
}

$vbid = system('cat /etc/vortexbox/vortexbox-vbid');
$version = system('cat /etc/vortexbox/vortexbox-version');
$vendor = system('cat /etc/vortexbox/vortexbox-vendor');

//Check if api.vortexbox.org is up
for ($i = 1; $i <= 30; $i++) {
    $response = system("/usr/bin/curl -s http://api.vortexbox.org/status.php");
	if($response =="up") {
		$wgetstring ="/usr/bin/wget --output-file=/dev/null --output-document=".$output_file." ";
		$wgetstring.=$server_name;
		$wgetstring.="?id=".$mac_address;
		$wgetstring.="\&v=".$version;
		$wgetstring.="\&vn=".$vendor;

		system($wgetstring);
		system("/opt/vortexbox/myvb.php > /dev/null 2>&1");
		break;
	}
	sleep(2);
}

print "\n";

?>